<ion-header [translucent]="true">
    <ion-toolbar>
      <ion-title>
        Gallery
      </ion-title>
    </ion-toolbar>
  </ion-header>
<ion-content [fullscreen]="true">
  <ion-row>
    <ion-button (click)="addPhotoToGallery()" color="success">
      Take a photo
      <ion-icon slot="end" name="camera-outline"></ion-icon>
    </ion-button>
  </ion-row>

<ion-item lines="none"  *ngIf="photos">
  <ion-label> Photos slider</ion-label>
</ion-item>

  <ion-grid *ngIf="photos">
    <ion-row>    
      <ion-col size="10">
        <ion-slides pager="true" [options]="slideOpts" *ngIf="photos" #slideWithNav3>
          <ion-slide *ngFor="let photo of photos" class="slide">
            <img src="{{photo.webviewPath}}">
          </ion-slide>
        </ion-slides>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-item lines="none" *ngIf="photos">
      <ion-label> Gellery</ion-label>
    </ion-item>
  <ion-grid>
    <ion-row>
      <ion-col size="4" *ngFor="let photo of photos; index as position">
        <ion-img src="{{ photo.webviewPath }}" ></ion-img>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>